<%@ page import = "gov.vha.edb.rules.web.builder.*,
                   ilog.webui.dhtml.IlxWPort" %>


<html>
<head>
<title>Web Builder - Main Panel (non IE5)</title>
</head>

<%
  WebBuilder builder = WebBuilder.getInstance(request);
  IlxWPort port = new IlxWPort(application, request, response, out);
  int nbCol = builder.getPropertiesPlacement()==WebBuilder.PROPERTIES_EAST ? 3 : 2;
%>

<body>
NON IE5
<%port.open();%>

<%
  // Neither <jsp:include/> nor <@include> are satisfying:
  //   - <@include file="webactions.jsp">: webactions.jsp is not recompiled by 
  //     the webserver when modified (Tomcat 3.2).
  //   - <jsp:include page="webactions.jsp"/>: Tomcat 3.2 JSP compiler
  //     does not accept this syntax...
  // This is why we include the page with some java code:
  request.setAttribute("web.builder.port", port);
  RequestDispatcher rd;
  // Include the webactions.jsp page which defines the Javascript part of
  // a gov.vha.edb.rules.web.builder.WebAction java object.
  rd = request.getRequestDispatcher("/jsp/webaction.jsp");
  rd.include(request, response);
  // Include builderactions.jsp, which implements the Javascript functions
  // associated to the web actions defined in the gov.vha.edb.rules.web.builder.BuilderActions
  // java class.
  rd = request.getRequestDispatcher("/jsp/builderactions.jsp");
  rd.include(request, response);
%>

<table style="border-collapse:collapse" border="0" width="100%" cellpadding="0" cellspacing="0">
<tr height="1%">
  <td width="100%">
    <%builder.getMenuBar().print(port);%>
  </td>
</tr>
</table>

<table style="border-collapse:collapse" border="1" width="100%" height="100%" cellpadding="0" cellspacing="0">
<tr>
  <td width="27%" valign="top" style="padding:6" rowspan="2">
    <div nowrap style="overflow:auto;height:400px;width:100%">
      <%builder.getExplorerPanel().print(port);%>
    </div>
  </td>

  <td align="left" valign="top" style="padding:6;padding-right:10">
    <% if (port.getBrowserInfo().greaterOrEqualsMOZILLA5() &&
        builder.getCenterPanel().getPane().getTabCount() > 0) {
      port.getWriter().print("<div nowrap style=\"overflow:auto;height:100%;width:600px\">");
      builder.getCenterPanel().print(port);
      port.getWriter().print("</div>");
    } else {
      builder.getCenterPanel().print(port);
    }%>

  </td>

<%
if (builder.getPropertiesPlacement() == WebBuilder.PROPERTIES_EAST) {
%>

  <td width="30%" align="left" valign="top" style="padding:6;padding-left:3;padding-right:10">
    <%builder.getPropertyPanel().print(port);%>
  </td>

<%
}
%>

</tr>

 <tr>
    <td align="left" valign="top" style="padding:6;padding-right:10">
        <%builder.getDtableEditPanel().print(port);%>
    </td>
  </tr>


<tr height="20%">
  <td colspan="<%= nbCol %>" width="100%" valign="top" style="padding:6;padding-bottom:10;padding-right:10">
    <%builder.getMessagePanel().print(port);%>
  </td>
</tr>
</table>

<%port.close();%>

</body>

</html>
